ARES_SET_LOCAL_IP4(3)

NAME
ares_set_local_ip4 - Set local IPv4 address outgoing requests.

SYNOPSIS
#include <ares.h>
void ares_set_local_ip4(ares_channel_t *channel, unsigned int local_ip)

DESCRIPTION
The ares_set_local_ip4 function sets the IP address for outbound requests. The parameter local_ip is specified in host byte order. This allows users to specify outbound interfaces when used on multi-homed systems.

SEE ALSO
ares_set_local_ip6(3)

NOTES
This function was added in c-ares 1.7.4